<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:50:07 CEST 2020 -->
<title>ThreatsPropagationPackage.Literals</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ThreatsPropagationPackage.Literals";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ThreatsPropagationPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatState.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="ThreatsPropagationPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation</div>
<h2 title="Interface ThreatsPropagationPackage.Literals" class="title">Interface ThreatsPropagationPackage.Literals</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">ThreatsPropagationPackage</a></dd>
</dl>
<hr>
<br>
<pre>public static interface <span class="typeNameLabel">ThreatsPropagationPackage.Literals</span></pre>
<div class="block"><!-- begin-user-doc -->
 Defines literals for the meta objects that represent
 <ul>
   <li>each class,</li>
   <li>each feature of each class,</li>
   <li>each enum,</li>
   <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ADVERSARY">ADVERSARY</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/AdversaryImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Adversary</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ADVERSARY__BASE_ACTOR">ADVERSARY__BASE_ACTOR</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Actor</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ATTACK">ATTACK</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/AttackImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Attack</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ATTACK__BASE_MESSAGE">ATTACK__BASE_MESSAGE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Message</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ATTACK__INTENSITY">ATTACK__INTENSITY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Intensity</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ATTACK__KIND">ATTACK__KIND</a></span></code>
<div class="block">The meta object literal for the '<em><b>Kind</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ATTACK__LIKELIHOOD">ATTACK__LIKELIHOOD</a></span></code>
<div class="block">The meta object literal for the '<em><b>Likelihood</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ATTACK__SEVERITY">ATTACK__SEVERITY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Severity</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ATTACK__THREAT">ATTACK__THREAT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Threat</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ATTACK__VULNERABILITY">ATTACK__VULNERABILITY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Vulnerability</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ATTACK_SCENARIO">ATTACK_SCENARIO</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/AttackScenarioImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Attack Scenario</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ATTACK_SCENARIO__BASE_INTERACTION">ATTACK_SCENARIO__BASE_INTERACTION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Interaction</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ATTACK_SCENARIO__FREQUENCY">ATTACK_SCENARIO__FREQUENCY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Frequency</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ATTACK_SCENARIO__PROB_SUCCESS">ATTACK_SCENARIO__PROB_SUCCESS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Prob Success</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#DEGRADED_STATE">DEGRADED_STATE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/DegradedStateImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Degraded State</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#DEP_EVENT">DEP_EVENT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/DepEventImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Dep Event</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#DEP_EVENT__BASE_TRANSITION">DEP_EVENT__BASE_TRANSITION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Transition</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#DEP_EVENT__PORT">DEP_EVENT__PORT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Port</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#DEP_EVENT__WEIGHT">DEP_EVENT__WEIGHT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Weight</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ERROR_DETECTION">ERROR_DETECTION</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ErrorDetectionImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Error Detection</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ERROR_DETECTION__BASE_TRANSITION">ERROR_DETECTION__BASE_TRANSITION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Transition</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ERROR_DETECTION__DELAY">ERROR_DETECTION__DELAY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Delay</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ERROR_DETECTION__SUCCESS_PROBABILITY">ERROR_DETECTION__SUCCESS_PROBABILITY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Success Probability</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ERROR_DETECTION__WEIGHT">ERROR_DETECTION__WEIGHT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Weight</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ERROR_HANDLING">ERROR_HANDLING</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ErrorHandlingImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Error Handling</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ERROR_HANDLING__BASE_TRANSITION">ERROR_HANDLING__BASE_TRANSITION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Transition</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ERROR_HANDLING__DELAY">ERROR_HANDLING__DELAY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Delay</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ERROR_HANDLING__SUCCESS_PROBABILITY">ERROR_HANDLING__SUCCESS_PROBABILITY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Success Probability</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ERROR_HANDLING__WEIGHT">ERROR_HANDLING__WEIGHT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Weight</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ERROR_MODEL">ERROR_MODEL</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ErrorModelImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Error Model</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ERROR_MODEL__BASE_STATE_MACHINE">ERROR_MODEL__BASE_STATE_MACHINE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base State Machine</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#ERROR_STATE">ERROR_STATE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ErrorStateImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Error State</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#FAILURE">FAILURE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/FailureImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Failure</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#FAILURE__BASE_TRANSITION">FAILURE__BASE_TRANSITION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Transition</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#FAILURE__DELAY">FAILURE__DELAY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Delay</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#FAILURE__MODE">FAILURE__MODE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Mode</b></em>' attribute list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#FAILURE__WEIGHT">FAILURE__WEIGHT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Weight</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#FAULT_HANDLING">FAULT_HANDLING</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/FaultHandlingImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Fault Handling</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#FAULT_HANDLING__BASE_TRANSITION">FAULT_HANDLING__BASE_TRANSITION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Transition</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#FAULT_HANDLING__DELAY">FAULT_HANDLING__DELAY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Delay</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#FAULT_HANDLING__SUCCESS_PROBABILITY">FAULT_HANDLING__SUCCESS_PROBABILITY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Success Probability</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#FAULT_HANDLING__WEIGHT">FAULT_HANDLING__WEIGHT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Weight</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#INTERNAL_FAULT">INTERNAL_FAULT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/InternalFaultImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Internal Fault</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#INTERNAL_FAULT__BASE_TRANSITION">INTERNAL_FAULT__BASE_TRANSITION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Transition</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#INTERNAL_FAULT__OCCURRENCE">INTERNAL_FAULT__OCCURRENCE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Occurrence</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#INTERNAL_FAULT__WEIGHT">INTERNAL_FAULT__WEIGHT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Weight</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#INTERNAL_PROPAGATION">INTERNAL_PROPAGATION</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/InternalPropagationImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Internal Propagation</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#INTERNAL_PROPAGATION__BASE_TRANSITION">INTERNAL_PROPAGATION__BASE_TRANSITION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Transition</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#INTERNAL_PROPAGATION__DELAY">INTERNAL_PROPAGATION__DELAY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Delay</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#INTERNAL_PROPAGATION__EXTERNAL_FAULTS">INTERNAL_PROPAGATION__EXTERNAL_FAULTS</a></span></code>
<div class="block">The meta object literal for the '<em><b>External Faults</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#INTERNAL_PROPAGATION__WEIGHT">INTERNAL_PROPAGATION__WEIGHT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Weight</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#INVERTED">INVERTED</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/InvertedImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Inverted</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#INVERTED__BASE_STATE">INVERTED__BASE_STATE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base State</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#INVERTED__PROPERTY">INVERTED__PROPERTY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Property</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#NORMAL_INPUT">NORMAL_INPUT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/NormalInputImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Normal Input</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#NORMAL_OUTPUT">NORMAL_OUTPUT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/NormalOutputImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Normal Output</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#NORMAL_STATE">NORMAL_STATE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/NormalStateImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Normal State</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#NORMAL_STATE__BASE_STATE">NORMAL_STATE__BASE_STATE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base State</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#RAMP_DOWN">RAMP_DOWN</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/RampDownImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Ramp Down</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#RAMP_DOWN__BASE_STATE">RAMP_DOWN__BASE_STATE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base State</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#RAMP_DOWN__DECR">RAMP_DOWN__DECR</a></span></code>
<div class="block">The meta object literal for the '<em><b>Decr</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#RAMP_DOWN__END_VALUE">RAMP_DOWN__END_VALUE</a></span></code>
<div class="block">The meta object literal for the '<em><b>End Value</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#RAMP_DOWN__PROPERTY">RAMP_DOWN__PROPERTY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Property</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#RECOVERY_KIND">RECOVERY_KIND</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/RecoveryKind.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation"><code><em>Recovery Kind</em></code></a>' enum.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#STUCK_AT">STUCK_AT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/StuckAtImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Stuck At</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#STUCK_AT__BASE_STATE">STUCK_AT__BASE_STATE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base State</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#STUCK_AT__PROPERTY">STUCK_AT__PROPERTY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Property</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#STUCK_AT__VALUE">STUCK_AT__VALUE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Value</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#STUCK_AT_FIXED">STUCK_AT_FIXED</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/StuckAtFixedImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Stuck At Fixed</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#STUCK_AT_FIXED__BASE_STATE">STUCK_AT_FIXED__BASE_STATE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base State</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#STUCK_AT_FIXED__PROPERTY">STUCK_AT_FIXED__PROPERTY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Property</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#THREAT_STATE">THREAT_STATE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatStateImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Threat State</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#THREAT_STATE__BASE_STATE">THREAT_STATE__BASE_STATE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base State</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#THREAT_STATE__PROBABILITY">THREAT_STATE__PROBABILITY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Probability</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#THREAT_STATE__UNIT">THREAT_STATE__UNIT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Unit</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#VULNERABILITY">VULNERABILITY</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/VulnerabilityImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Vulnerability</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#VULNERABILITY__BASE_CLASSIFIER">VULNERABILITY__BASE_CLASSIFIER</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Classifier</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#VULNERABILITY__BASE_PORT">VULNERABILITY__BASE_PORT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Port</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html#VULNERABILITY__KIND">VULNERABILITY__KIND</a></span></code>
<div class="block">The meta object literal for the '<em><b>Kind</b></em>' attribute feature.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="INTERNAL_FAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTERNAL_FAULT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass INTERNAL_FAULT</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/InternalFaultImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Internal Fault</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/InternalFaultImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>InternalFaultImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getInternalFault--"><code>ThreatsPropagationPackageImpl.getInternalFault()</code></a></dd>
</dl>
</li>
</ul>
<a name="INTERNAL_FAULT__OCCURRENCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTERNAL_FAULT__OCCURRENCE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute INTERNAL_FAULT__OCCURRENCE</pre>
<div class="block">The meta object literal for the '<em><b>Occurrence</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="INTERNAL_FAULT__BASE_TRANSITION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTERNAL_FAULT__BASE_TRANSITION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference INTERNAL_FAULT__BASE_TRANSITION</pre>
<div class="block">The meta object literal for the '<em><b>Base Transition</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="INTERNAL_FAULT__WEIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTERNAL_FAULT__WEIGHT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute INTERNAL_FAULT__WEIGHT</pre>
<div class="block">The meta object literal for the '<em><b>Weight</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="INTERNAL_PROPAGATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTERNAL_PROPAGATION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass INTERNAL_PROPAGATION</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/InternalPropagationImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Internal Propagation</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/InternalPropagationImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>InternalPropagationImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getInternalPropagation--"><code>ThreatsPropagationPackageImpl.getInternalPropagation()</code></a></dd>
</dl>
</li>
</ul>
<a name="INTERNAL_PROPAGATION__BASE_TRANSITION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTERNAL_PROPAGATION__BASE_TRANSITION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference INTERNAL_PROPAGATION__BASE_TRANSITION</pre>
<div class="block">The meta object literal for the '<em><b>Base Transition</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="INTERNAL_PROPAGATION__EXTERNAL_FAULTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTERNAL_PROPAGATION__EXTERNAL_FAULTS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute INTERNAL_PROPAGATION__EXTERNAL_FAULTS</pre>
<div class="block">The meta object literal for the '<em><b>External Faults</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="INTERNAL_PROPAGATION__DELAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTERNAL_PROPAGATION__DELAY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute INTERNAL_PROPAGATION__DELAY</pre>
<div class="block">The meta object literal for the '<em><b>Delay</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="INTERNAL_PROPAGATION__WEIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTERNAL_PROPAGATION__WEIGHT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute INTERNAL_PROPAGATION__WEIGHT</pre>
<div class="block">The meta object literal for the '<em><b>Weight</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ERROR_DETECTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_DETECTION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass ERROR_DETECTION</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ErrorDetectionImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Error Detection</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ErrorDetectionImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>ErrorDetectionImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getErrorDetection--"><code>ThreatsPropagationPackageImpl.getErrorDetection()</code></a></dd>
</dl>
</li>
</ul>
<a name="ERROR_DETECTION__BASE_TRANSITION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_DETECTION__BASE_TRANSITION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference ERROR_DETECTION__BASE_TRANSITION</pre>
<div class="block">The meta object literal for the '<em><b>Base Transition</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ERROR_DETECTION__DELAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_DETECTION__DELAY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ERROR_DETECTION__DELAY</pre>
<div class="block">The meta object literal for the '<em><b>Delay</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ERROR_DETECTION__SUCCESS_PROBABILITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_DETECTION__SUCCESS_PROBABILITY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ERROR_DETECTION__SUCCESS_PROBABILITY</pre>
<div class="block">The meta object literal for the '<em><b>Success Probability</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ERROR_DETECTION__WEIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_DETECTION__WEIGHT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ERROR_DETECTION__WEIGHT</pre>
<div class="block">The meta object literal for the '<em><b>Weight</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ERROR_HANDLING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_HANDLING</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass ERROR_HANDLING</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ErrorHandlingImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Error Handling</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ErrorHandlingImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>ErrorHandlingImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getErrorHandling--"><code>ThreatsPropagationPackageImpl.getErrorHandling()</code></a></dd>
</dl>
</li>
</ul>
<a name="ERROR_HANDLING__BASE_TRANSITION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_HANDLING__BASE_TRANSITION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference ERROR_HANDLING__BASE_TRANSITION</pre>
<div class="block">The meta object literal for the '<em><b>Base Transition</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ERROR_HANDLING__DELAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_HANDLING__DELAY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ERROR_HANDLING__DELAY</pre>
<div class="block">The meta object literal for the '<em><b>Delay</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ERROR_HANDLING__SUCCESS_PROBABILITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_HANDLING__SUCCESS_PROBABILITY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ERROR_HANDLING__SUCCESS_PROBABILITY</pre>
<div class="block">The meta object literal for the '<em><b>Success Probability</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ERROR_HANDLING__WEIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_HANDLING__WEIGHT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ERROR_HANDLING__WEIGHT</pre>
<div class="block">The meta object literal for the '<em><b>Weight</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="FAULT_HANDLING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAULT_HANDLING</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass FAULT_HANDLING</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/FaultHandlingImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Fault Handling</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/FaultHandlingImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>FaultHandlingImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getFaultHandling--"><code>ThreatsPropagationPackageImpl.getFaultHandling()</code></a></dd>
</dl>
</li>
</ul>
<a name="FAULT_HANDLING__BASE_TRANSITION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAULT_HANDLING__BASE_TRANSITION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference FAULT_HANDLING__BASE_TRANSITION</pre>
<div class="block">The meta object literal for the '<em><b>Base Transition</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="FAULT_HANDLING__DELAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAULT_HANDLING__DELAY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute FAULT_HANDLING__DELAY</pre>
<div class="block">The meta object literal for the '<em><b>Delay</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="FAULT_HANDLING__SUCCESS_PROBABILITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAULT_HANDLING__SUCCESS_PROBABILITY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute FAULT_HANDLING__SUCCESS_PROBABILITY</pre>
<div class="block">The meta object literal for the '<em><b>Success Probability</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="FAULT_HANDLING__WEIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAULT_HANDLING__WEIGHT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute FAULT_HANDLING__WEIGHT</pre>
<div class="block">The meta object literal for the '<em><b>Weight</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ATTACK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTACK</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass ATTACK</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/AttackImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Attack</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/AttackImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>AttackImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getAttack--"><code>ThreatsPropagationPackageImpl.getAttack()</code></a></dd>
</dl>
</li>
</ul>
<a name="ATTACK__KIND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTACK__KIND</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ATTACK__KIND</pre>
<div class="block">The meta object literal for the '<em><b>Kind</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ATTACK__SEVERITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTACK__SEVERITY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ATTACK__SEVERITY</pre>
<div class="block">The meta object literal for the '<em><b>Severity</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ATTACK__LIKELIHOOD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTACK__LIKELIHOOD</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ATTACK__LIKELIHOOD</pre>
<div class="block">The meta object literal for the '<em><b>Likelihood</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ATTACK__VULNERABILITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTACK__VULNERABILITY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference ATTACK__VULNERABILITY</pre>
<div class="block">The meta object literal for the '<em><b>Vulnerability</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ATTACK__THREAT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTACK__THREAT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ATTACK__THREAT</pre>
<div class="block">The meta object literal for the '<em><b>Threat</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ATTACK__BASE_MESSAGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTACK__BASE_MESSAGE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference ATTACK__BASE_MESSAGE</pre>
<div class="block">The meta object literal for the '<em><b>Base Message</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ATTACK__INTENSITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTACK__INTENSITY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ATTACK__INTENSITY</pre>
<div class="block">The meta object literal for the '<em><b>Intensity</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="VULNERABILITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VULNERABILITY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass VULNERABILITY</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/VulnerabilityImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Vulnerability</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/VulnerabilityImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>VulnerabilityImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getVulnerability--"><code>ThreatsPropagationPackageImpl.getVulnerability()</code></a></dd>
</dl>
</li>
</ul>
<a name="VULNERABILITY__KIND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VULNERABILITY__KIND</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute VULNERABILITY__KIND</pre>
<div class="block">The meta object literal for the '<em><b>Kind</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="VULNERABILITY__BASE_CLASSIFIER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VULNERABILITY__BASE_CLASSIFIER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference VULNERABILITY__BASE_CLASSIFIER</pre>
<div class="block">The meta object literal for the '<em><b>Base Classifier</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="VULNERABILITY__BASE_PORT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VULNERABILITY__BASE_PORT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference VULNERABILITY__BASE_PORT</pre>
<div class="block">The meta object literal for the '<em><b>Base Port</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ADVERSARY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ADVERSARY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass ADVERSARY</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/AdversaryImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Adversary</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/AdversaryImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>AdversaryImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getAdversary--"><code>ThreatsPropagationPackageImpl.getAdversary()</code></a></dd>
</dl>
</li>
</ul>
<a name="ADVERSARY__BASE_ACTOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ADVERSARY__BASE_ACTOR</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference ADVERSARY__BASE_ACTOR</pre>
<div class="block">The meta object literal for the '<em><b>Base Actor</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ATTACK_SCENARIO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTACK_SCENARIO</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass ATTACK_SCENARIO</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/AttackScenarioImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Attack Scenario</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/AttackScenarioImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>AttackScenarioImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getAttackScenario--"><code>ThreatsPropagationPackageImpl.getAttackScenario()</code></a></dd>
</dl>
</li>
</ul>
<a name="ATTACK_SCENARIO__BASE_INTERACTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTACK_SCENARIO__BASE_INTERACTION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference ATTACK_SCENARIO__BASE_INTERACTION</pre>
<div class="block">The meta object literal for the '<em><b>Base Interaction</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ATTACK_SCENARIO__FREQUENCY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTACK_SCENARIO__FREQUENCY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ATTACK_SCENARIO__FREQUENCY</pre>
<div class="block">The meta object literal for the '<em><b>Frequency</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ATTACK_SCENARIO__PROB_SUCCESS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTACK_SCENARIO__PROB_SUCCESS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ATTACK_SCENARIO__PROB_SUCCESS</pre>
<div class="block">The meta object literal for the '<em><b>Prob Success</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ERROR_MODEL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_MODEL</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass ERROR_MODEL</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ErrorModelImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Error Model</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ErrorModelImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>ErrorModelImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getErrorModel--"><code>ThreatsPropagationPackageImpl.getErrorModel()</code></a></dd>
</dl>
</li>
</ul>
<a name="ERROR_MODEL__BASE_STATE_MACHINE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_MODEL__BASE_STATE_MACHINE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference ERROR_MODEL__BASE_STATE_MACHINE</pre>
<div class="block">The meta object literal for the '<em><b>Base State Machine</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="NORMAL_INPUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NORMAL_INPUT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass NORMAL_INPUT</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/NormalInputImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Normal Input</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/NormalInputImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>NormalInputImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getNormalInput--"><code>ThreatsPropagationPackageImpl.getNormalInput()</code></a></dd>
</dl>
</li>
</ul>
<a name="NORMAL_OUTPUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NORMAL_OUTPUT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass NORMAL_OUTPUT</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/NormalOutputImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Normal Output</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/NormalOutputImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>NormalOutputImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getNormalOutput--"><code>ThreatsPropagationPackageImpl.getNormalOutput()</code></a></dd>
</dl>
</li>
</ul>
<a name="FAILURE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAILURE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass FAILURE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/FailureImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Failure</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/FailureImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>FailureImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getFailure--"><code>ThreatsPropagationPackageImpl.getFailure()</code></a></dd>
</dl>
</li>
</ul>
<a name="FAILURE__BASE_TRANSITION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAILURE__BASE_TRANSITION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference FAILURE__BASE_TRANSITION</pre>
<div class="block">The meta object literal for the '<em><b>Base Transition</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="FAILURE__MODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAILURE__MODE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute FAILURE__MODE</pre>
<div class="block">The meta object literal for the '<em><b>Mode</b></em>' attribute list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="FAILURE__DELAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAILURE__DELAY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute FAILURE__DELAY</pre>
<div class="block">The meta object literal for the '<em><b>Delay</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="FAILURE__WEIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAILURE__WEIGHT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute FAILURE__WEIGHT</pre>
<div class="block">The meta object literal for the '<em><b>Weight</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="THREAT_STATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>THREAT_STATE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass THREAT_STATE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatStateImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Threat State</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatStateImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>ThreatStateImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getThreatState--"><code>ThreatsPropagationPackageImpl.getThreatState()</code></a></dd>
</dl>
</li>
</ul>
<a name="THREAT_STATE__BASE_STATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>THREAT_STATE__BASE_STATE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference THREAT_STATE__BASE_STATE</pre>
<div class="block">The meta object literal for the '<em><b>Base State</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="THREAT_STATE__PROBABILITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>THREAT_STATE__PROBABILITY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute THREAT_STATE__PROBABILITY</pre>
<div class="block">The meta object literal for the '<em><b>Probability</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="THREAT_STATE__UNIT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>THREAT_STATE__UNIT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute THREAT_STATE__UNIT</pre>
<div class="block">The meta object literal for the '<em><b>Unit</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="DEGRADED_STATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEGRADED_STATE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass DEGRADED_STATE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/DegradedStateImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Degraded State</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/DegradedStateImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>DegradedStateImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getDegradedState--"><code>ThreatsPropagationPackageImpl.getDegradedState()</code></a></dd>
</dl>
</li>
</ul>
<a name="NORMAL_STATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NORMAL_STATE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass NORMAL_STATE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/NormalStateImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Normal State</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/NormalStateImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>NormalStateImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getNormalState--"><code>ThreatsPropagationPackageImpl.getNormalState()</code></a></dd>
</dl>
</li>
</ul>
<a name="NORMAL_STATE__BASE_STATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NORMAL_STATE__BASE_STATE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference NORMAL_STATE__BASE_STATE</pre>
<div class="block">The meta object literal for the '<em><b>Base State</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ERROR_STATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_STATE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass ERROR_STATE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ErrorStateImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Error State</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ErrorStateImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>ErrorStateImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getErrorState--"><code>ThreatsPropagationPackageImpl.getErrorState()</code></a></dd>
</dl>
</li>
</ul>
<a name="STUCK_AT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STUCK_AT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass STUCK_AT</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/StuckAtImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Stuck At</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/StuckAtImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>StuckAtImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getStuckAt--"><code>ThreatsPropagationPackageImpl.getStuckAt()</code></a></dd>
</dl>
</li>
</ul>
<a name="STUCK_AT__PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STUCK_AT__PROPERTY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference STUCK_AT__PROPERTY</pre>
<div class="block">The meta object literal for the '<em><b>Property</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="STUCK_AT__VALUE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STUCK_AT__VALUE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute STUCK_AT__VALUE</pre>
<div class="block">The meta object literal for the '<em><b>Value</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="STUCK_AT__BASE_STATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STUCK_AT__BASE_STATE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference STUCK_AT__BASE_STATE</pre>
<div class="block">The meta object literal for the '<em><b>Base State</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="STUCK_AT_FIXED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STUCK_AT_FIXED</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass STUCK_AT_FIXED</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/StuckAtFixedImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Stuck At Fixed</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/StuckAtFixedImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>StuckAtFixedImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getStuckAtFixed--"><code>ThreatsPropagationPackageImpl.getStuckAtFixed()</code></a></dd>
</dl>
</li>
</ul>
<a name="STUCK_AT_FIXED__BASE_STATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STUCK_AT_FIXED__BASE_STATE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference STUCK_AT_FIXED__BASE_STATE</pre>
<div class="block">The meta object literal for the '<em><b>Base State</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="STUCK_AT_FIXED__PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STUCK_AT_FIXED__PROPERTY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference STUCK_AT_FIXED__PROPERTY</pre>
<div class="block">The meta object literal for the '<em><b>Property</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="INVERTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVERTED</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass INVERTED</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/InvertedImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Inverted</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/InvertedImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>InvertedImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getInverted--"><code>ThreatsPropagationPackageImpl.getInverted()</code></a></dd>
</dl>
</li>
</ul>
<a name="INVERTED__BASE_STATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVERTED__BASE_STATE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference INVERTED__BASE_STATE</pre>
<div class="block">The meta object literal for the '<em><b>Base State</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="INVERTED__PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVERTED__PROPERTY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference INVERTED__PROPERTY</pre>
<div class="block">The meta object literal for the '<em><b>Property</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="RAMP_DOWN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RAMP_DOWN</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass RAMP_DOWN</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/RampDownImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Ramp Down</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/RampDownImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>RampDownImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getRampDown--"><code>ThreatsPropagationPackageImpl.getRampDown()</code></a></dd>
</dl>
</li>
</ul>
<a name="RAMP_DOWN__BASE_STATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RAMP_DOWN__BASE_STATE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference RAMP_DOWN__BASE_STATE</pre>
<div class="block">The meta object literal for the '<em><b>Base State</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="RAMP_DOWN__PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RAMP_DOWN__PROPERTY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference RAMP_DOWN__PROPERTY</pre>
<div class="block">The meta object literal for the '<em><b>Property</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="RAMP_DOWN__DECR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RAMP_DOWN__DECR</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute RAMP_DOWN__DECR</pre>
<div class="block">The meta object literal for the '<em><b>Decr</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="RAMP_DOWN__END_VALUE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RAMP_DOWN__END_VALUE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute RAMP_DOWN__END_VALUE</pre>
<div class="block">The meta object literal for the '<em><b>End Value</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="DEP_EVENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEP_EVENT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass DEP_EVENT</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/DepEventImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code><em>Dep Event</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/DepEventImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation.impl"><code>DepEventImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getDepEvent--"><code>ThreatsPropagationPackageImpl.getDepEvent()</code></a></dd>
</dl>
</li>
</ul>
<a name="DEP_EVENT__PORT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEP_EVENT__PORT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference DEP_EVENT__PORT</pre>
<div class="block">The meta object literal for the '<em><b>Port</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="DEP_EVENT__BASE_TRANSITION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEP_EVENT__BASE_TRANSITION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference DEP_EVENT__BASE_TRANSITION</pre>
<div class="block">The meta object literal for the '<em><b>Base Transition</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="DEP_EVENT__WEIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEP_EVENT__WEIGHT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute DEP_EVENT__WEIGHT</pre>
<div class="block">The meta object literal for the '<em><b>Weight</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="RECOVERY_KIND">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RECOVERY_KIND</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EEnum RECOVERY_KIND</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/RecoveryKind.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation"><code><em>Recovery Kind</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/RecoveryKind.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation"><code>RecoveryKind</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/ThreatsPropagationPackageImpl.html#getRecoveryKind--"><code>ThreatsPropagationPackageImpl.getRecoveryKind()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ThreatsPropagationPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatState.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="ThreatsPropagationPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
